Bug 131252 - Automated Security Test shows wrong perms and missing SPCFG binary
Automated Security Test shows wrong perms and missing SPCFG binary
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: coe (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Graner
:
Depends On:
Blocks: 131262
  Show dependency treegraph
 
Reported: 2004-08-30 10:42 EDT by Pete Graner
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-08 14:54:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Graner 2004-08-30 10:42:27 EDT
After running the Automated script this morning we noticed that the
permissions were not set properly and found that the pSeries build
does not include /h/SPCFG/bin/SPCFG, which is used by
/h/SPCFGD/SegDescrip/PostInstall to complete this process. I also
checked the diicoe.tar that is included with the RPM and it does not
included /h/SPCFG/bin/SPCFG either.
Comment 1 Pete Graner 2004-08-30 10:57:19 EDT
Then something during the make dist portion is broke. 

SPCG is broke out into a separate rpm i.e.spcfg-4.9.0.0-1.ppc64iseries.rpm

[root@kpcbuild ppc64iseries]# rpm -qlp spcfg-4.9.0.0-1.ppc64iseries.rpm

/4x/build/4209/linux/install/Linux/h/SPCFG/bin/SPCFG
/4x/build/4209/linux/install/Linux/h/SPCFG/bin/SPCFG.jar

From there make dist picks up the binary and puts it into the coe rpm,
where inst.dii installs it and sets perms. On the build box its installed:

[root@kpcbuild ppc64iseries]# rpm -qa | grep spcfg
spcfg-4.9.0.0-1

So I'm not sure why or how it got missed. I don't have very good net
access until this weekend. I'll take a look then.

Pete
Comment 2 Pete Graner 2004-09-08 11:11:07 EDT
Sharon,

Can you tell me what perms are wrong? I can't seem to reproduce this
one. I found the SPCFG issue, but I don't know what  perms are wrong.

Pete
Comment 3 Sharon Snider 2004-09-08 12:09:34 EDT
As long as SPCFG is included in the build and installs properly there 
are no permissions problems. I'm not sure why SPCFG did not install 
with the RPM on my test machine.
Comment 4 Pete Graner 2004-09-08 14:54:11 EDT
See BZ# 131262 for resolution.
Comment 5 Sharon Snider 2004-09-08 16:16:11 EDT
Installed new RPMs and confirmed that all SPCFG files were installed 
successfully.

Note You need to log in before you can comment on or make changes to this bug.